aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ak-zchain-rebase68
1 files changed, 34 insertions, 34 deletions
diff --git a/bin/ak-zchain-rebase b/bin/ak-zchain-rebase
index d604bb2..b7b0a76 100755
--- a/bin/ak-zchain-rebase
+++ b/bin/ak-zchain-rebase
@@ -1,47 +1,47 @@
#!/bin/bash
-PROGRAM=$(basename $0)
+PROGRAM=$(basename $0)
usage(){
- echo "$PROGRAM - Zchain rebase"
- echo ""
- echo "Description:"
- echo "Backs up your latest block into IPFS filesystem, replaces it with an empty file (GENESIS hardcode) and pushes its IPFS link as your chain's latest block."
- echo ""
- echo "Disclaimer:"
- echo "This program, does NOT delete anything from your IPFS repository, neither denies access to previously created blocks."
- echo ""
- echo "Usage:"
- echo " $PROGRAM rebase <zblock>"
- exit 0
+ echo "$PROGRAM - Zchain rebase"
+ echo ""
+ echo "Description:"
+ echo "Backs up your latest block into IPFS filesystem, replaces it with an empty file (GENESIS hardcode) and pushes its IPFS link as your chain's latest block."
+ echo ""
+ echo "Disclaimer:"
+ echo "This program, does NOT delete anything from your IPFS repository, neither denies access to previously created blocks."
+ echo ""
+ echo "Usage:"
+ echo " $PROGRAM rebase <zblock>"
+ exit 0
}
rebase (){
ZTARGET="$1"
- echo "Reseting ZLATEST to ZTARGET"
- echo $ZTARGET > $AK_ZLATEST
- if [ $? != 0 ]; then exit 1; fi
+ echo "Reseting ZLATEST to ZTARGET"
+ echo $ZTARGET > $AK_ZLATEST
+ if [ $? != 0 ]; then exit 1; fi
- echo "Make sure /zarchive folder exists within IPFS FS"
- ak-ipfs-files-mkdir /zarchive
- if [ $? != 0 ]; then echo "Folder already there"; fi
+ echo "Make sure /zarchive folder exists within IPFS FS"
+ ak-ipfs-files-mkdir /zarchive
+ if [ $? != 0 ]; then echo "Folder already there"; fi
- echo "Archive the previous ZLATEST"
- ak-ipfs-files-cp /zlatest /zarchive/$(date -u +%s)-$(ak-ipfs-files-stat /zlatest | head -n 1)
- if [ $? != 0 ]; then exit 1; fi
+ echo "Archive the previous ZLATEST"
+ ak-ipfs-files-cp /zlatest /zarchive/$(date -u +%s)-$(ak-ipfs-files-stat /zlatest | head -n 1)
+ if [ $? != 0 ]; then exit 1; fi
- echo "Removing previous /zlatest entry"
- ak-ipfs-files-rm /zlatest
- if [ $? != 0 ]; then exit 1; fi
+ echo "Removing previous /zlatest entry"
+ ak-ipfs-files-rm /zlatest
+ if [ $? != 0 ]; then exit 1; fi
- echo "Copying rebased ZLATEST"
- CZLATEST="$(cat $AK_ZLATEST)"
- ak-ipfs-files-cp /ipfs/$CZLATEST /zlatest
- if [ $? != 0 ]; then exit 1; fi
+ echo "Copying rebased ZLATEST"
+ CZLATEST="$(cat $AK_ZLATEST)"
+ ak-ipfs-files-cp /ipfs/$CZLATEST /zlatest
+ if [ $? != 0 ]; then exit 1; fi
- echo "Publishing new (rebased) ZLATEST"
- ak-ipfs-name-publish --key=zchain /ipfs/$(cat $AK_ZLATEST)
- if [ $? != 0 ]; then exit 1; fi
-
- echo "Rebase was successful"
- exit 0
+ echo "Publishing new (rebased) ZLATEST"
+ ak-ipfs-name-publish --key=zchain /ipfs/$(cat $AK_ZLATEST)
+ if [ $? != 0 ]; then exit 1; fi
+
+ echo "Rebase was successful"
+ exit 0
}
if [ ! -z $1 ] && [ ! -z $2 ]; then
case $1 in